/* File: plugin_unix.h

	MZ-2000/2200/80B/B2 Emulator "EmuZ-2000" Plugins (UNIX compatible files)

	Copyright (C) 2010-2015 Toshio Fukui
	This file is part of the EmuZ-2000 software.
	See copyright notice in the COPYING file.
*/

#ifndef __PLUGIN_UNIX_H__
#define __PLUGIN_UNIX_H__

#ifndef WIN32
#define BOOL	int
#define TCHAR	char
#define UCHAR	unsigned char
#define PUCHAR	UCHAR *
#define BYTE	UCHAR
#define PBYTE	BYTE *
#define LPBYTE	PBYTE
#define USHORT	unsigned short
#define DWORD	unsigned int
#define VOID	void
#define PVOID	void *
#define LPVOID	void *
#define LPCTSTR	const char *
#define LPTSTR	char *

#define HANDLE	void *
#define HINSTANCE HANDLE
#define HWND	HANDLE
#define WINAPI
#endif

#ifndef TRUE
#define TRUE	1
#endif
#ifndef FALSE
#define FALSE	0
#endif

#endif	/* __PLUGIN_UNIX_H__ */

/*
	Local Variables:
	mode:c++
	c-set-style:"k&r"
	c-basic-offset:8
	tab-width:8
	End:
*/
